
Redmine - Patch #25876

Gantt chart shows % done even if the field is disabled for the tracker

2017-05-17 02:55 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 3.4.0   

Description

When disabling the % done field for a given tracker, issues of this tracker still have x % in their label in the gantt chart. The attached

patch fixes this by checking issue.disabled_core_fields when building the label.

Associated revisions

Revision 16663 - 2017-06-15 06:14 - Toshi MARUYAMA

gannt: not show %done if the field is disabled for the tracker (#25876)

Contributed by Jens Krämer.

History

#1 - 2017-05-17 15:04 - Go MAEDA

- Target version set to 3.4.0

I confirmed the problem.

Setting target version to 3.4.0.

#2 - 2017-06-15 06:49 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r16663, thanks.

Files

0001-hide-done_ratio-in-gantt-chart-if-disabled-for-issue.patch 1.08 KB 2017-05-17 Jens Krämer
